Index: lib/style/eml2/eml-physical-2.0.0.xsl
===================================================================
--- lib/style/eml2/eml-physical-2.0.0.xsl	(revision 1644)
+++ lib/style/eml2/eml-physical-2.0.0.xsl	(revision 1645)
@@ -30,220 +30,285 @@
   * suitable for rendering with modern web browsers.
 -->
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
-<!-- IMPORTANT: IMPORT EML-RESOURCE *AFTER* EML-COVERAGE!!! -->
-<xsl:import href="eml-settings-2.0.0beta6-@name@.xsl" />
-<xsl:import href="eml-identifier-2.0.0beta6-@name@.xsl" />
 
   <xsl:output method="html" encoding="iso-8859-1"/>
 
-  <xsl:template match="/">
-    <html>
-      <head>
-        <link rel="stylesheet" type="text/css" href="{$stylePath}/{$qformat}.css" />
-      <style type="text/css">
-        @import url(@style-path@/sbclter-advanced.css);
-      </style>
-        <script language="JavaScript">
-          <![CDATA[
-          function submitform(action,form_ref) {
-              form_ref.action.value=action;
-              form_ref.abstractpath.value="";
-              form_ref.qformat.value="sbclter";
-              form_ref.submit();
-          }
-          function submitform1(action, abstractpath, form_ref) {
-              form_ref.action.value=action;
-              form_ref.abstractpath.value=abstractpath;
-              form_ref.qformat.value="";
-              form_ref.submit();
-          }
-          function submitform2(action, qformat, form_ref) {
-              form_ref.action.value=action;
-              form_ref.qformat.value=qformat;
-              form_ref.abstractpath.value="";
-              form_ref.submit();
-          }
-          ]]>
-        </script>
-      </head>
-      <body>
-      <!--<div class="header-logo">
-        <img src="/catalog/img/catalog/sbclter-logo.gif" alt="SBC LTER" border="0" />
-      </div>-->
-      <div class="spacing" align="center">
-        <table cellspacing="0" width="100%" border="0">
-          <tr>
-            <td class="header-title">
-              <div class="header-title">
-                @header-title@
-              </div>
-               <div class="header-subtitle">
-                @header-subtitle@
-              </div>
-            </td>
-            <td class="header-image" rowspan="1">
-              <div class="header-image">
-                <img class="header" src="@html-path@/@header-image@"
-                  alt="@header-image-alt@"
-                   border="0" />
-              </div>
-            </td>
-          </tr>
-          <tr>
-            <td class="header-menu" colspan="2">
-              <div class="header-menu">
-                @header-menu@
-              </div>
-            </td>
-          </tr>
-          <tr>
-            <td class="header-submenu" colspan="2">
-              <div class="header-submenu">
-                &#160; <!-- &nbsp; that is XML compliant -->
-              </div>
-            </td>
-          </tr>
-        </table>
-      </div>
-     <div class="content-spacing" align="center">
-        <table cellspacing="0" width="100%" height="100%" border="0">
-          <tr>
-           <td class="content-area" colspan="2">
-    <!-- END SBCLTER PAGE TOP HTML -->
-            <div class="content-area">
-              <center>
-                <h1>Physical Structure Description</h1>
-                <!--h3>Ecological Metadata Language</h3--><br />
-              </center>
-              <table class="tabledefault" width="100%">
-              <!-- width needed for NN4 - doesn't recognize width in css -->
-                <!--xsl:apply-templates select="eml-physical/identifier"
-mode="resource"/-->
-                <tr>
-                  <td class="tablehead" colspan="2">Physical Structure:</td>
-                </tr>
-                <xsl:apply-templates select="eml-physical/*"/>
-              </table>
-            </div>
-           </td>
-          </tr>
-          <tr>
-            <td colspan="2">
-              <!--div class="nsf" >This material is based on the upon work
-              supported by the National Science Foundation under Cooperative
-              Agreement #OCE-9982105. Any opinions, findings, or recommendations
-              expressed in the material are those of author(s) and do not
-              necessarily reflect the view of the National Science Foundation.
-              </div-->
-            </td>
-          </tr>
-          <tr>
-            <td class="footer-menu" colspan="2">
-              <div class="footer-menu">
-                @footer-menu@
-              </div>
-            </td>
-          </tr>
-          <tr>
-            <td class="footer-left">
-              <div class="footer-left">
-                @copyright@
-              </div>
-            </td>
-            <td class="footer-right">
-              <div class="footer-right">
-               Contact: <a class="footer-link"
-                        href="@mailto-address@">
-                        @header-subtitle@data@nceas.ucsb.edu
-                        </a> |
-                <a class="footer-link"
-                   href="@intranet-address@"
-                   target="offline">Internal Login
-                </a>
-              </div>
-            </td>
-          </tr>
-  </table>
-      </div>
-     </body>
-    </html>
+   <xsl:template name="physical">
+      <xsl:param name="physicalfirstColStyle"/>
+      <xsl:param name="notshowdistribution"/>
+      <table class="tabledefault" width="100%">
+        <xsl:choose>
+         <xsl:when test="references!=''">
+          <xsl:variable name="ref_id" select="references"/>
+          <xsl:variable name="references" select="$ids[@id=$ref_id]" />
+          <xsl:for-each select="$references">
+            <xsl:call-template name="physicalcommon">
+              <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+              <xsl:with-param name="notshowdistribution" select="$notshowdistribution"/>
+            </xsl:call-template>
+          </xsl:for-each>
+        </xsl:when>
+        <xsl:otherwise>
+          <xsl:call-template name="physicalcommon">
+             <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+             <xsl:with-param name="notshowdistribution" select="$notshowdistribution"/>
+          </xsl:call-template>
+        </xsl:otherwise>
+      </xsl:choose>
+      </table>
   </xsl:template>
+  
+  <xsl:template name="physicalcommon">
+    <xsl:param name="physicalfirstColStyle"/>
+    <xsl:param name="notshowdistribution"/>
+    <xsl:call-template name="physicalobjectName">
+      <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+    </xsl:call-template>
+    <xsl:call-template name="physicalsize">
+      <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+    </xsl:call-template>
+    <xsl:call-template name="physicalauthentication">
+      <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+    </xsl:call-template>
+    <xsl:call-template name="physicalcompressionMethod">
+      <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+    </xsl:call-template>
+    <xsl:call-template name="physicalencodingMethod">
+      <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+    </xsl:call-template>
+    <xsl:call-template name="physicalcharacterEncoding">
+      <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+    </xsl:call-template>
+    <xsl:call-template name="physicaltextFormat">
+      <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+    </xsl:call-template>
+  </xsl:template>
+  
+  <xsl:template name="physicalobjectName">
+    <xsl:param name="physicalfirstColStyle"/>
+    <xsl:for-each select="objectName">
+      <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">
+        Object Name</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+        <xsl:value-of select="."/></td>
+      </tr>
+    </xsl:for-each>
+  </xsl:template>
+  
+  <xsl:template name="physicalsize">
+    <xsl:param name="physicalfirstColStyle"/>
+    <xsl:for-each select="size">
+      <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">
+        Size</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+        <xsl:value-of select="."/></td>
+      </tr>
+    </xsl:for-each>
+  </xsl:template>
+  
+  <xsl:template name="physicalauthentication">
+    <xsl:param name="physicalfirstColStyle"/>
+    <xsl:for-each select="authentication">
+      <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">
+        Authentication</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+        <xsl:value-of select="."/></td>
+      </tr>
+    </xsl:for-each>
+  </xsl:template>
+  
+  <xsl:template name="physicalcompressionMethod">
+    <xsl:param name="physicalfirstColStyle"/>
+    <xsl:for-each select="compressionMethod">
+      <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">
+        Compression Method</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+        <xsl:value-of select="."/></td>
+      </tr>
+    </xsl:for-each>
+  </xsl:template>
+  
+  <xsl:template name="physicalencodingMethod">
+    <xsl:param name="physicalfirstColStyle"/>
+    <xsl:for-each select="encodingMethod">
+      <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">
+        Encoding Method</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+        <xsl:value-of select="."/></td>
+      </tr>
+    </xsl:for-each>
+  </xsl:template>
+  
+  <xsl:template name="physicalcharacterEncoding">
+    <xsl:param name="physicalfirstColStyle"/>
+    <xsl:for-each select="characterEncoding">
+      <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">
+        Character Encoding</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+        <xsl:value-of select="."/></td>
+      </tr>
+    </xsl:for-each>
+  </xsl:template>
+  
+  <!--***********************************************************
+      TextFormat templates
+      ***********************************************************-->
+  
+  <xsl:template name="physicaltextFormat">
+   <xsl:param name="physicalfirstColStyle"/>
+   <xsl:for-each select="dataFormat/textFormat">
+      <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">
+        Text Format:</td>
+        <td class="{$physicalfirstColStyle}" width="{$secondColWidth}">
+        &#160;</td>
+      </tr>
+      <xsl:apply-templates>
+        <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+      </xsl:apply-templates>
+      <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">
+        &#160;</td>
+        <td class="{$physicalfirstColStyle}" width="{$secondColWidth}">
+        &#160;</td>
+      </tr>
+   </xsl:for-each>
+  
+  </xsl:template>
+  
 
-
-  <xsl:template match="format">
+  <xsl:template match="numHeaderLines">
+        <xsl:param name="physicalfirstColStyle"/>
         <tr>
-        <td class="{$firstColStyle}" width="{$firstColWidth}">File Format</td>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Number of Header Lines</td>
         <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
         </tr>
   </xsl:template>
 
-  <xsl:template match="characterEncoding">
+  <xsl:template match="numFooterLines">
+        <xsl:param name="physicalfirstColStyle"/>
         <tr>
-        <td class="{$firstColStyle}" width="{$firstColWidth}">Character Encoding</td>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Number of Foot Lines</td>
         <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
         </tr>
   </xsl:template>
-
-  <xsl:template match="size">
+  
+  <xsl:template match="recordDelimiter">
+        <xsl:param name="physicalfirstColStyle"/>
         <tr>
-        <td class="{$firstColStyle}" width="{$firstColWidth}">Size</td>
-        <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/>
-        <xsl:if test="normalize-space(./@units)!=''">
-            ( <xsl:value-of select="./@units"/> )
-        </xsl:if></td>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Record Delimiter</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
         </tr>
   </xsl:template>
-
-  <xsl:template match="authentication">
+  
+  <xsl:template match="physicalLineDelimiter">
+        <xsl:param name="physicalfirstColStyle"/>
         <tr>
-        <td class="{$firstColStyle}" width="{$firstColWidth}">Authentication (checksum value &amp; method)</td>
-        <td class="{$secondColStyle}" width="{$secondColWidth}">
-        <xsl:value-of select="."/> (method: <xsl:value-of select="./@method"/>)</td></tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Line Delimiter</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
+        </tr>
   </xsl:template>
-
-  <xsl:template match="compressionMethod">
+  
+  <xsl:template match="numPhysicalLinePerRecord">
+        <xsl:param name="physicalfirstColStyle"/>
         <tr>
-        <td class="{$firstColStyle}" width="{$firstColWidth}">Compression Method</td>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Line Number For One Record</td>
         <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
         </tr>
   </xsl:template>
-
-  <xsl:template match="encodingMethod">
+  
+  <xsl:template match="maxRecordLength">
+        <xsl:param name="physicalfirstColStyle"/>
         <tr>
-        <td class="{$firstColStyle}" width="{$firstColWidth}">Encoding Method</td>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Maximum Record Length</td>
         <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
         </tr>
   </xsl:template>
-
-  <xsl:template match="numHeaderLines">
+  
+  <xsl:template match="attributeOrientation">
+        <xsl:param name="physicalfirstColStyle"/>
         <tr>
-        <td class="{$firstColStyle}" width="{$firstColWidth}">Number of Header Lines</td>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Maximum Record Length</td>
         <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
         </tr>
   </xsl:template>
-
-  <xsl:template match="recordDelimiter">
+  
+  <xsl:template match="simpleDelimited">
+        <xsl:param name="physicalfirstColStyle"/>
         <tr>
-        <td class="{$firstColStyle}" width="{$firstColWidth}">Record Delimiter</td>
-        <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Simple Delimited</td>
+        <td  width="{$secondColWidth}">
+          <table width="100%">
+            <xsl:apply-templates>
+              <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+            </xsl:apply-templates>
+          </table>
+        </td>
         </tr>
   </xsl:template>
-
-  <xsl:template match="maxRecordLength">
+  
+  <xsl:template match="complex">
+        <xsl:param name="physicalfirstColStyle"/>
         <tr>
-        <td class="{$firstColStyle}" width="{$firstColWidth}">Maximum Record Length</td>
-        <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Complex Delimited</td>
+        <td  width="{$secondColWidth}">
+           <table width="100%">
+             <xsl:call-template name="textFixed">
+                <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+             </xsl:call-template>
+             <xsl:call-template name="textDelimited">
+               <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+             </xsl:call-template>
+           </table>
+         </td>
         </tr>
   </xsl:template>
+  
+  
+  <xsl:template name="textFixed">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Text Fixed</td>
+        <td  width="{$secondColWidth}">
+          <table width="100%">
+            <xsl:apply-templates>
+              <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+            </xsl:apply-templates>
+          </table>
+        </td>
+        </tr>
+  </xsl:template>
+  
+  <xsl:template name="textDelimited">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Text Delimited</td>
+        <td  width="{$secondColWidth}">
+          <table width="100%">
+            <xsl:apply-templates>
+              <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+            </xsl:apply-templates>
+          </table>
+        </td>
+        </tr>
+  </xsl:template>
 
   <xsl:template match="quoteCharacter">
+        <xsl:param name="physicalfirstColStyle"/>
         <tr>
-        <td class="{$firstColStyle}" width="{$firstColWidth}">Quote Character</td>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Quote Character</td>
         <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
         </tr>
   </xsl:template>
 
    <xsl:template match="literalCharacter">
+       <xsl:param name="physicalfirstColStyle"/>
        <tr>
         <td class="{$firstColStyle}" width="{$firstColWidth}">Literal Character</td>
         <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
@@ -250,25 +315,206 @@
         </tr>
   </xsl:template>
 
-  <xsl:template match="fieldStartColumn">
+  
+  <xsl:template match="fieldDelimiter">
+        <xsl:param name="physicalfirstColStyle"/>
         <tr>
-        <td class="{$firstColStyle}" width="{$firstColWidth}">Field Start Column</td>
+        <td class="{$firstColStyle}" width="{$firstColWidth}">Field Delimeter</td>
         <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
         </tr>
   </xsl:template>
 
+  <xsl:template match="fieldWidth">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr><td class="{$firstColStyle}" width="{$firstColWidth}">Field Width</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
+        </tr>
+  </xsl:template>
+  
+  <xsl:template match="lineNumber">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr><td class="{$firstColStyle}" width="{$firstColWidth}">Line Number</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
+        </tr>
+  </xsl:template>
 
-  <xsl:template match="fieldDelimiter">
+  <xsl:template match="fieldStartColumn">
+        <xsl:param name="physicalfirstColStyle"/>
         <tr>
-        <td class="{$firstColStyle}" width="{$firstColWidth}">Field Delimeter</td>
+        <td class="{$firstColStyle}" width="{$firstColWidth}">Field Start Column</td>
         <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
         </tr>
   </xsl:template>
-
-  <xsl:template match="fieldWidth">
-        <tr><td class="{$firstColStyle}" width="{$firstColWidth}">Field Width</td>
+  
+  
+  <!--***********************************************************
+      externallyDefinedFormat templates
+      ***********************************************************-->
+ <xsl:template name="physicalexternallyDefinedFormat">
+    <xsl:param name="physicalfirstColStyle"/>
+    <xsl:for-each select="dataFormat/externallyDefinedFormat">
+      <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">
+        Externally Defined Format:</td>
+        <td class="{$physicalfirstColStyle}" width="{$secondColWidth}">
+        &#160;</td>
+      </tr>
+      <xsl:apply-templates>
+        <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+      </xsl:apply-templates>
+      <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">
+        &#160;</td>
+        <td class="{$physicalfirstColStyle}" width="{$secondColWidth}">
+        &#160;</td>
+      </tr>
+    </xsl:for-each>
+  </xsl:template>
+  
+  <xsl:template match="formatName">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr>
+        <td class="{$firstColStyle}" width="{$firstColWidth}">Format Name</td>
         <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
         </tr>
   </xsl:template>
-
+  
+  <xsl:template match="formatVersion">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr>
+        <td class="{$firstColStyle}" width="{$firstColWidth}">Format Version</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
+        </tr>
+  </xsl:template>
+  
+  <xsl:template match="citation">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr>
+        <td class="{$firstColStyle}" width="{$firstColWidth}">Citation</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+          <xsl:call-template name="citation">
+            <xsl:with-param name="citationfirstColStyle" select="physicalfirstColStyle"/>
+          </xsl:call-template>
+        </td>
+        </tr>
+  </xsl:template>
+  
+  <!--***********************************************************
+      binaryRasterFormat templates
+      ***********************************************************-->
+  <xsl:template name="physicalbinaryRasterFormat">
+    <xsl:param name="physicalfirstColStyle"/>
+    <xsl:for-each select="dataFormat/binaryRasterFormat">
+      <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">
+        Binary Raster Format:</td>
+        <td class="{$physicalfirstColStyle}" width="{$secondColWidth}">
+        &#160;</td>
+      </tr>
+      <xsl:apply-templates>
+        <xsl:with-param name="physicalfirstColStyle" select="$physicalfirstColStyle"/>
+      </xsl:apply-templates>
+      <tr>
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">
+        &#160;</td>
+        <td class="{$physicalfirstColStyle}" width="{$secondColWidth}">
+        &#160;</td>
+      </tr>
+    </xsl:for-each>
+  </xsl:template>
+  
+  <xsl:template match="rowColumnOrientation">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr>
+        <td class="{$firstColStyle}" width="{$firstColWidth}">Orientation</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+          <xsl:value-of select="."/>
+        </td>
+        </tr>
+  </xsl:template>
+  
+  <xsl:template match="multiBand">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr>
+        <td class="{$firstColStyle}" width="{$firstColWidth}">Multiple Bands</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+         <table width="100%">
+            <tr>
+                <td class="{$firstColStyle}" width="{$firstColWidth}">Number of Spectral Bands</td>
+                <td class="{$secondColStyle}" width="{$secondColWidth}">
+                <xsl:value-of select="./nbands"/>
+              </td>
+            </tr>
+            <tr>
+               <td class="{$firstColStyle}" width="{$firstColWidth}">Layout</td>
+               <td class="{$secondColStyle}" width="{$secondColWidth}">
+               <xsl:value-of select="./layout"/>
+               </td>
+           </tr>
+        </table>
+        </td>
+        </tr>
+  </xsl:template>
+  
+  
+  <xsl:template match="nbits">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr>
+        <td class="{$firstColStyle}" width="{$firstColWidth}">Number of Bits (/pixel/band)</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+          <xsl:value-of select="."/>
+        </td>
+        </tr>
+  </xsl:template>
+  
+  <xsl:template match="byteorder">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr>
+        <td class="{$firstColStyle}" width="{$firstColWidth}">Byte Order</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+          <xsl:value-of select="."/>
+        </td>
+        </tr>
+  </xsl:template>
+  
+  <xsl:template match="skipbytes">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr>
+        <td class="{$firstColStyle}" width="{$firstColWidth}">Skipped Bytes</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+          <xsl:value-of select="."/>
+        </td>
+        </tr>
+  </xsl:template>
+  
+  <xsl:template match="bandrowbytes">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr>
+        <td class="{$firstColStyle}" width="{$firstColWidth}">Number of Bytes (/band/row)</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+          <xsl:value-of select="."/>
+        </td>
+        </tr>
+  </xsl:template>
+  
+  <xsl:template match="totalrowbytes">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr>
+        <td class="{$firstColStyle}" width="{$firstColWidth}">Total Number of Byte (/row)</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+          <xsl:value-of select="."/>
+        </td>
+        </tr>
+  </xsl:template>
+  
+  <xsl:template match="bandgapbytes">
+        <xsl:param name="physicalfirstColStyle"/>
+        <tr>
+        <td class="{$firstColStyle}" width="{$firstColWidth}">Number of Bytes between Bands</td>
+        <td class="{$secondColStyle}" width="{$secondColWidth}">
+          <xsl:value-of select="."/>
+        </td>
+        </tr>
+  </xsl:template>
+  
 </xsl:stylesheet>