Index: lib/style/eml2/eml-distribution-2.0.0.xsl
===================================================================
--- lib/style/eml2/eml-distribution-2.0.0.xsl	(revision 1646)
+++ lib/style/eml2/eml-distribution-2.0.0.xsl	(revision 1647)
@@ -39,6 +39,13 @@
   <xsl:template name="distribution">
       <xsl:param name="disfirstColStyle"/>
       <xsl:param name="dissubHeaderStyle"/>
+      <xsl:param name="docid"/>
+      <xsl:param name="level">entity</xsl:param>
+      <xsl:param name="entitytype"/>
+      <xsl:param name="entityindex"/>
+      <xsl:param name="physicalindex"/>
+      <xsl:param name="distributionindex"/>
+      
       <table class="tabledefault" width="100%">
        <xsl:choose>
          <xsl:when test="references!=''">
@@ -56,22 +63,34 @@
             <xsl:apply-templates select="inline">
               <xsl:with-param name="dissubHeaderStyle" select="$dissubHeaderStyle"/>
               <xsl:with-param name="disfirstColStyle" select="$disfirstColStyle" />
-            </xsl:apply-templates>
+               <xsl:with-param name="docid" select="$docid"/>
+               <xsl:with-param name="level" select="$level"/>
+               <xsl:with-param name="entitytype" select="$entitytype"/>
+               <xsl:with-param name="entityindex" select="$entityindex"/>
+               <xsl:with-param name="physicalindex" select="$physicalindex"/>
+               <xsl:with-param name="distributionindex" select="$distributionindex"/>
+             </xsl:apply-templates>
           </xsl:for-each>
         </xsl:when>
         <xsl:otherwise>
-          <xsl:apply-templates select="online">
-            <xsl:with-param name="dissubHeaderStyle" select="$dissubHeaderStyle"/>
-            <xsl:with-param name="disfirstColStyle" select="$disfirstColStyle" />
-          </xsl:apply-templates>
-          <xsl:apply-templates select="offline">
-            <xsl:with-param name="dissubHeaderStyle" select="$dissubHeaderStyle"/>
-            <xsl:with-param name="disfirstColStyle" select="$disfirstColStyle" />
-          </xsl:apply-templates>
-          <xsl:apply-templates select="inline">
-            <xsl:with-param name="dissubHeaderStyle" select="$dissubHeaderStyle"/>
-            <xsl:with-param name="disfirstColStyle" select="$disfirstColStyle" />
-          </xsl:apply-templates>
+            <xsl:apply-templates select="online">
+              <xsl:with-param name="dissubHeaderStyle" select="$dissubHeaderStyle"/>
+              <xsl:with-param name="disfirstColStyle" select="$disfirstColStyle" />
+            </xsl:apply-templates>
+            <xsl:apply-templates select="offline">
+              <xsl:with-param name="dissubHeaderStyle" select="$dissubHeaderStyle"/>
+              <xsl:with-param name="disfirstColStyle" select="$disfirstColStyle" />
+            </xsl:apply-templates>
+            <xsl:apply-templates select="inline">
+              <xsl:with-param name="dissubHeaderStyle" select="$dissubHeaderStyle"/>
+              <xsl:with-param name="disfirstColStyle" select="$disfirstColStyle" />
+               <xsl:with-param name="docid" select="$docid"/>
+               <xsl:with-param name="level" select="$level"/>
+               <xsl:with-param name="entitytype" select="$entitytype"/>
+               <xsl:with-param name="entityindex" select="$entityindex"/>
+               <xsl:with-param name="physicalindex" select="$physicalindex"/>
+               <xsl:with-param name="distributionindex" select="$distributionindex"/>
+            </xsl:apply-templates>
         </xsl:otherwise>
        </xsl:choose> 
       </table>
@@ -247,7 +266,7 @@
   <!-- *******************************  Offline data  ********************** -->
   <!-- ********************************************************************* -->
   
-  <xsl:template match="offline">
+  <xsl:template name="offline">
     <xsl:param name="disfirstColStyle"/>
     <xsl:param name="dissubHeaderStyle"/>
     <tr><td class="{$dissubHeaderStyle}" colspan="2">
@@ -284,16 +303,31 @@
   <!-- ********************************************************************* -->  
   
   
-  <xsl:template match="inline">
+  <xsl:template name="inline">
     <xsl:param name="disfirstColStyle"/>
     <xsl:param name="dissubHeaderStyle"/>
+    <xsl:param name="docid"/>
+    <xsl:param name="level">entity</xsl:param>
+    <xsl:param name="entitytype"/>
+    <xsl:param name="entityindex"/>
+    <xsl:param name="physicalindex"/>
+    <xsl:param name="distributionindex"/>
+    <xsl:param name="index"/>
     <tr><td class="{$dissubHeaderStyle}" colspan="2">
-        <xsl:text>Inline Data Distribution:</xsl:text>
+        <xsl:text>Inline Data:</xsl:text>
     </td></tr>
     <tr><td width="{$firstColWidth}" class="{$disfirstColStyle}">
       <xsl:text>&#160;</xsl:text></td>
       <td width="{$secondColWidth}" class="{$secondColStyle}">
-        <xsl:value-of select="."/>
+      <!-- for top top distribution-->
+      <xsl:if test="$level='toplevel'">
+        <a><xsl:attribute name="href"><xsl:value-of select="$tripleURI"/><xsl:value-of select="$docid"/>&amp;displaymodule=inlinedata&amp;distributionlevel=<xsl:value-of select="$level"/>&amp;distributionindex=<xsl:value-of select="$distributionindex"/></xsl:attribute>
+        <br>Inline Data</br></a>
+      </xsl:if>
+      <xsl:if test="$level='entitylevel'">
+        <a><xsl:attribute name="href"><xsl:value-of select="$tripleURI"/><xsl:value-of select="$docid"/>&amp;displaymodule=inlinedata&amp;distributionlevel=<xsl:value-of select="$level"/>&amp;entitytype=<xsl:value-of select="$entitytype"/>&amp;entityindex=<xsl:value-of select="$entityindex"/>&amp;physicalindex=<xsl:value-of select="$entityindex"/>entityindex=<xsl:value-of select="$physicalindex"/>&amp;distributionindex=<xsl:value-of select="$distributionindex"/></xsl:attribute>
+        <br>Inline Data</br></a>
+      </xsl:if>
      </td></tr>
   </xsl:template>
    