Index: docs/user/metacatinstall.html
===================================================================
--- docs/user/metacatinstall.html	(revision 1769)
+++ docs/user/metacatinstall.html	(revision 1770)
@@ -119,40 +119,16 @@
   <p class="header">Tomcat</p>
   <p>
     Install tomcat into the directory of your choice. The directory in which 
-    you install Tomcat itself will be referred to as the "$TOMCAT_HOME".
-    This install assumes Tomcat version 3.1.  The Tomcat 
-    configuration will be slightly different depending on what version of 
-    Tomcat you are running.
+    you install Tomcat itself will be referred to as the "$CATALINA_HOME".
+    We recommend to install Tomcat version 4.0.  More details about 
+    tomcat installation is avaliable in <a href=" http://jakarta.apache.org/tomcat/index.html">here</a>.
   </p>
-  <p>
-    You must now set up your servlet context.  Change to the $TOMCAT_HOME/conf.
-    Edit the tomcat.conf file.  Find a line that looks like:
-    <pre>ApJServMount /examples /root</pre>  
-    Add the following line below the aforementioned text:
-    <pre>ApJServMount /metadata /root</pre>
-    Save tomcat.conf.
-  </p>
-  <p>
-   Edit the server.xml file.  Go to the bottom of the file.  Find the line that
-   says: 
-   <pre>&lt;Context path="/examples" docbase="/webapps/examples" debug="0" reloadable="true" &gt;
-   &lt;/Context&gt;</pre>
-   Directly below these lines enter the following:
-   <pre>&lt;Context path="/metadata" docbase="/opt/tomcat/webapps/metadata" debug="0" reloadable="true" &gt;
-   &lt;/Context&gt;</pre>
-   Save server.xml.
-   <div class="emphasis">Note that capital "C" on "Context".  This MUST be a 
-   capital "C".  Also note that "metadata" is an arbitrary servlet name.  You
-   may pick whatever servlet name you wish. Also note that the path to the
-   servlet context will depend on where you install the tomcat webapps 
-   directory.</div>
-  </p>
-</td>
+ </td>
 </tr>
 </table>
 
 <table class="tabledefault" width="100%">
-<td class="tablehead" colspan="2"><p>Configuring the Server for Metacat</p></td>
+<td class="tablehead" colspan="2"></td>
 <tr>
 <td>
   <p>
@@ -161,15 +137,16 @@
    version of the source distribution of Metacat.  You can get it two ways.
    Authorized users can check it out of the NCEAS 
    <a href="http://www.nceas.ucsb.edu/cgi-bin/cvsweb.cgi/xmltodb/">CVS</a>
-   system under the module name xmltodb.  The command is as follows: 
-   <pre>cvs checkout -P xmltodb</pre>  Or you can 
+   system under the module name metacat.  The command is as follows: 
+   <pre>cvs checkout -P metacat</pre>  Or you can 
    <a href="@server@/software/download.html">download</a> a gzipped tar file
    from this site.
   </p>
+  <p><h2>Edit build.xml File</h2></p>
   <p>
    Once you have either checked out or unzipped and untarred the source
    distribution, you can begin the installation process.  Change into the 
-   xmltodb directory and edit the file called "build.xml".  You will need 
+   metacat directory and edit the file called "build.xml".  You will need 
    to change a number of configuration properties to match the setup on
    your system.  If you are using oracle, you'll need to customize the
    properties in the "oracle" target.  If you are using Postgres, you'll
@@ -229,6 +206,14 @@
    access the installed Metacat server.
   </li>
   <li>
+   The user and password parameters are the database user name that you set up
+   to use Metacat, for example an Oracle username and password.
+  </li>
+  <li>
+   The tomcatversion is the version of your Tomcat. You should put tomcat3 or
+   tomcat4 here.
+  </li>
+  <li>
    Web-base-url is the URL from which you want to load any stylesheets 
    or supplementary images.
   </li>
@@ -242,10 +227,12 @@
    any DTDs.
   </li>
   <li>
-   The user and password parameters are the database user name that you set up
-   to use Metacat, for example an Oracle username and password.
+   The datafilepath is the directory to store the data file.
   </li>
   <li>
+   The inlinedatafilepath is the directory to store inline data (This is for EML2).
+  </li>
+  <li>
    The default-style parameter defines the "style-set" that is to be used
    by default when the qformat parameter is missing or set to "html" during
    a query.  It is set to "knb", which is the only style that ships with the
@@ -254,6 +241,14 @@
    config-dir (e.g., mystyle.xml) and then change the default-style to use
    your custom style (e.g., "mystyle").
   </li>
+  <li>
+   The debuglevel is the control value of debug message. Generally, it will vary 
+   from 0 to 70. In level 70, Metacat will desplay all debug messages.
+  </li>
+   <li>
+   The forcereplicationwaitingtime is the waiting time for start force replication
+   after uploading a package. Usually we use default value.
+  </li>
   </ul>
 
   Other properties that you can but generaly need not change:<br />
@@ -306,18 +301,19 @@
    Note: DO NOT add a slash [/] to the end of these paths.  Metacat will not
    function correctly if you do so.
   </p>
-  <p class="header">Stylesheet Scripts</p>
+  <p class="header"><h2>SQL Scripts</h2></p>
   <p>
    You now need to set up the table structure in your database.  Change to the
-   xmltodb/src directory.  Then run you RDBMS's SQL utility.  In Oracle it is
+   metacat/src directory.  Then run you RDBMS's SQL utility.  In Oracle it is
    SQLPlus.  This tutorial assumes an Oracle database so this example is for
    SQLPlus.  Login as the oracle user that was set up for use with Metacat.
-   At the SQLPlus prompt type the following: <pre>@src/xmltables.sql;</pre>
+   At the SQLPlus prompt type the following: <pre><b>@xmltables.sql;</b></pre>
    You should see a bunch of output showing the creation of the Metacat table
    space. The first time you run this script you will get several errors at the 
    beginning saying that you cannot drop a table/index/trigger because it 
    does not exist.  This is normal.  Any other errors besides this need to be
-   resolved before continuing.
+   resolved before continuing. The script file name for PostgreSQL is 
+   xmltalbes_postgres.sql and for Microsoft SQL server is xmltables-sqlserver.sql.
   </p>
   <p>
    If the script has run correctly you should be able to type 
@@ -345,7 +341,7 @@
 </table>
 
 <table class="tabledefault" width="100%">
-<td class="tablehead" colspan="2"><p>Compilation and Installation</p></td>
+<td class="tablehead" colspan="2"><p><h2>Compilation and Installation</h2></p></td>
 <tr>
 <td>
   <a name="protocol"></a>
@@ -352,7 +348,8 @@
   <p>
    Ant allows compilation and installation to be done in one step.
    Change into the metacat directory and type: 
-   <pre>ant install</pre>
+   <pre><b>ant install</b></pre>
+   <p>
    You should see a bunch of messages telling you the progress of compilation
    and installation.  When it is done you should see the message 
    BUILD SUCCESSFUL
@@ -366,7 +363,9 @@
   </p>
   <p>Once metacat itself is installed, you should also register
   the Ecological Metadata Language (EML) DTDs and schemas. This process is done most
-  easily by running "ant dtdschemasql" which registers the DTDs with the 
+  easily by running:</p>
+  <pre><b>ant dtdschemasql</b></pre> 
+  <p>This command registers the DTDs' and schemas' location in the 
   metacat server.  Your database username and password have to be set correctly
   for this to work.
   </p>
@@ -374,16 +373,17 @@
   Note: The 'data' directory in the installation directory must be writeable
   by whatever user is running Tomcat or you will not be able to upload data 
   files to the system.
+  <h2>Restart Tomcat</h2>
   <p>
    Once you have successfully installed Metacat, there is one more step.  Tomcat
    (and Apache if you have Tomcat integrated with it) must be restarted.  To do
-   this, login as the user that runs your tomcat server (ofter "tomcat"),
-   go to $TOMCAT_HOME/bin and type:
+   this, login as the user that runs your tomcat server (often "tomcat"),
+   go to $CATALINA_HOME/bin and type:
    <pre>
-   ./tomcat.sh stop
-   ./tomcat.sh start
+   ./shutdown.sh 
+   ./startup.sh 
    </pre>
-   In the Tomcat startup messages you should see something like:
+   In the Tomcat startup messages you should see something in log file like:
    <pre>
     MetacatServlet Initialize
     Context log path="/metadata" :Metacat: init