Index: lib/style/include_header.xsl
===================================================================
--- lib/style/include_header.xsl	(revision 1847)
+++ lib/style/include_header.xsl	(nonexistent)
@@ -1,104 +0,0 @@
-<?xml version="1.0"?>
-<!--
-  *  '$RCSfile$'
-  *      Authors: Matt Jones, CHad Berkley
-  *    Copyright: 2000 Regents of the University of California and the
-  *               National Center for Ecological Analysis and Synthesis
-  *  For Details: http://www.nceas.ucsb.edu/
-  *
-  *   '$Author$'
-  *     '$Date$'
-  * '$Revision$'
-  * 
-  * This program is free software; you can redistribute it and/or modify
-  * it under the terms of the GNU General Public License as published by
-  * the Free Software Foundation; either version 2 of the License, or
-  * (at your option) any later version.
-  *
-  * This program is distributed in the hope that it will be useful,
-  * but WITHOUT ANY WARRANTY; without even the implied warranty of
-  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  * GNU General Public License for more details.
-  *
-  * You should have received a copy of the GNU General Public License
-  * along with this program; if not, write to the Free Software
-  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-  *
-  * This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
-  * convert an XML file showing the resultset of a query
-  * into an HTML format suitable for rendering with modern web browsers.
--->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
-  <xsl:output method="html" />
-
-  <xsl:template match="/" mode="addPageHeader">
-    <table width="100%" cellpadding="0" cellspacing="0">
-      <tr>
-        <td width="10" align="right" valign="top" class="title">&#160;</td>
-
-        <td width="80" align="center" valign="bottom" class="title">
-          <a href="@web-base-url@/index.html">
-            <img
-            src="@web-base-url@/images/KNBLogo_top.gif"
-             border="0" />
-          </a>
-        </td>
-
-        <td align="left" valign="middle" class="title">
-          <p class="title">Biocomplexity Data Search</p>
-        </td>
-      </tr>
-
-      <tr>
-        <td width="10" align="right" valign="top" class="maintable">
-          <img
-          src="/@context@/images/transparent1x1.gif"
-           width="10" height="3" />
-        </td>
-
-        <td width="80" rowspan="2" align="center" valign="top"
-        class="sectionheader">
-          <a href="@web-base-url@/index.html">
-            <img
-            src="@web-base-url@/images/KNBLogo_bottom.gif"
-             width="80" height="25" border="0" />
-          </a>
-        </td>
-
-        <td align="left" valign="top" class="toollink" width="100%">
-        <img src="/@context@/images/transparent1x1.gif"
-           width="600" height="3" /></td>
-      </tr>
-<!--
-                <a href="http://anacapa.nceas.ucsb.edu:8080/data.html" class="toollink"> 
-                    Data </a>
-                &#160;&#160;&#160;&#160;&#160;|&#160;&#160;&#160;&#160;&#160;
-                <a href="http://anacapa.nceas.ucsb.edu:8080/people.html" class="toollink"> 
-                    People </a>
-                &#160;&#160;&#160;&#160;&#160;|&#160;&#160;&#160;&#160;&#160;
-                <a href="http://anacapa.nceas.ucsb.edu:8080/informatics" class="toollink"> 
-                    Informatics </a>
-                &#160;&#160;&#160;&#160;&#160;|&#160;&#160;&#160;&#160;&#160;
-                 <a href="http://anacapa.nceas.ucsb.edu:8080/biodiversity" class="toollink"> 
-                    Biodiversity </a>
-                &#160;&#160;&#160;&#160;&#160;|&#160;&#160;&#160;&#160;&#160;
-                <a href="http://anacapa.nceas.ucsb.edu:8080/education" class="toollink"> 
-                    Education </a>
-                &#160;&#160;&#160;&#160;&#160;|&#160;&#160;&#160;&#160;&#160;
-               <a href="http://anacapa.nceas.ucsb.edu:8080/software" class="toollink"> 
-                    Software </a>
--->
-      <tr>
-        <td width="10" align="right" valign="top" class="sectionheader">
-        &#160;</td>
-
-        <td align="left" valign="middle" class="sectionheader" style="text-align: left">
-        &#160;&#160;&#160;
-        <a href="@web-base-url@/index.html"
-        class="toollink">Home</a></td>
-      </tr>
-    </table>
-  </xsl:template>
-</xsl:stylesheet>
-
-

Property changes on: lib/style/include_header.xsl
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: lib/style/include_searchbox.xsl
===================================================================
--- lib/style/include_searchbox.xsl	(revision 1847)
+++ lib/style/include_searchbox.xsl	(nonexistent)
@@ -1,277 +0,0 @@
-<?xml version="1.0"?>
-<!--
-  *  '$RCSfile$'
-  *      Authors: Matt Jones, CHad Berkley
-  *    Copyright: 2000 Regents of the University of California and the
-  *               National Center for Ecological Analysis and Synthesis
-  *  For Details: http://www.nceas.ucsb.edu/
-  *
-  *   '$Author$'
-  *     '$Date$'
-  * '$Revision$'
-  * 
-  * This program is free software; you can redistribute it and/or modify
-  * it under the terms of the GNU General Public License as published by
-  * the Free Software Foundation; either version 2 of the License, or
-  * (at your option) any later version.
-  *
-  * This program is distributed in the hope that it will be useful,
-  * but WITHOUT ANY WARRANTY; without even the implied warranty of
-  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  * GNU General Public License for more details.
-  *
-  * You should have received a copy of the GNU General Public License
-  * along with this program; if not, write to the Free Software
-  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-  *
-  * This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
-  * convert an XML file showing the resultset of a query
-  * into an HTML format suitable for rendering with modern web browsers.
--->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
-  <xsl:output method="html" />
-
-  <xsl:template match="/" mode="addSearchBox">
-
-    <script language="JavaScript">
-      <![CDATA[
-
-        function allowSearch(formObj) {
-        
-          var canSearch = true;
-          var searchString = trim(formObj.elements["anyfield"].value);
-          if (searchString=="") {
-            if (confirm("Show *all* data in the KNB?\n(this may take some time!)")) {
-            formObj.elements["anyfield"].value = "%";
-            canSearch = true;
-          } else {
-            formObj.elements["anyfield"].focus();
-            canSearch = false;
-          }
-          } 
-          return canSearch;
-        }
-            
-        function trim(stringToTrim) {
-        
-          return stringToTrim.replace(/^\s*/, '').replace(/\s*$/,'');
-        }
-     ]]>
-    </script>
-
-    <table width="740" border="0" cellspacing="0" cellpadding="0" align="center">
-      <tr>
-        <td width="10" align="right" valign="top">
-          <img
-          src="http://anacapa.nceas.ucsb.edu:8080/brooke/images/panelhead_bg_lcorner.gif"
-           width="10" height="21" />
-        </td>
-
-        <td width="720" class="sectionheader">search for data on the
-        KNB</td>
-
-        <td width="10" align="left" valign="top">
-          <img
-          src="http://anacapa.nceas.ucsb.edu:8080/brooke/images/panelhead_bg_rcorner.gif"
-           width="10" height="21" />
-        </td>
-      </tr>
-
-      <tr>
-        <td colspan="3">
-          <table width="740" border="0" cellpadding="0" cellspacing="0"
-          class="subpanel">
-            <tr>
-              <td colspan="2">
-              </td>
-            </tr>
-
-            <tr valign="baseline">
-              <td colspan="2">
-                <form action="servlet/metacat" method="post"
-                target="_self" onSubmit="return allowSearch(this);">
-                  <input type="hidden" name="action" value="query" />
-
-                  <input type="hidden" name="qformat" value="knb" />
-
-                  <input type="hidden" name="operator" value="UNION" />
-
-                  <input type="hidden" name="returnfield"
-                  value="originator/individualName/surName" />
-
-                  <input type="hidden" name="returnfield"
-                  value="originator/individualName/givenName" />
-
-                  <input type="hidden" name="returnfield"
-                  value="originator/organizationName" />
-
-                  <input type="hidden" name="returnfield"
-                  value="creator/individualName/surName" />
-
-                  <input type="hidden" name="returnfield"
-                  value="creator/organizationName" />
-
-                  <input type="hidden" name="returnfield"
-                  value="dataset/title" />
-
-                  <input type="hidden" name="returnfield"
-                  value="keyword" />
-
-                  <input type="hidden" name="returndoctype"
-                  value="-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN" />
-
-                  <input type="hidden" name="returndoctype"
-                  value="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN" />
-
-                  <input type="hidden" name="returndoctype"
-                  value="eml://ecoinformatics.org/eml-2.0.0" />
-
-                  <input type="hidden" name="returndoctype"
-                  value="-//NCEAS//eml-dataset-2.0//EN" />
-
-                  <input type="hidden" name="returndoctype"
-                  value="-//NCEAS//resource//EN" />
-
-                  <table width="100%" border="0" cellpadding="5"
-                  cellspacing="0">
-                    <tr>
-                      <td width="94" rowspan="2" align="left"
-                      valign="top">
-                        <img
-                        src="http://anacapa.nceas.ucsb.edu:8080/brooke/images/search.jpg"
-                         width="94" height="80" />
-                      </td>
-
-                      <td colspan="2" valign="middle"
-                      class="text_example">
-                        <p>Enter a search phrase (e.g. biodiversity) to
-                        search for data sets in the KNB, or click
-                        "advanced search" to enter more-detailed search
-                        criteria, or simply browse by category using the
-                        links below.</p>
-                      </td>
-                    </tr>
-
-                    <tr valign="middle">
-                      <td align="right" class="searchcat">
-                        <input type="text" name="anyfield" size="30"
-                        maxlength="200" />
-                      </td>
-
-                      <td width="365" align="left" class="searchcat">
-                      <input type="submit" value="Search KNB" />
-
-                      &#160;&#160; 
-                      <a href="/brooke/advancedsearch.html">» advanced
-                      search «</a>
-                      </td>
-                    </tr>
-                  </table>
-                </form>
-              </td>
-            </tr>
-
-            <tr>
-              <td width="375" class="searchcat">category1</td>
-
-              <td width="365" class="searchcat">category2</td>
-            </tr>
-
-            <tr>
-              <td width="375" class="searchsubcat">
-              <a href="#" class="searchsubcat">subcat1,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat2,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat3,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat4,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat5,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat6</a>
-              </td>
-
-              <td width="365" class="searchsubcat">
-              <a href="#" class="searchsubcat">subcat1,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat2,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat3,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat4,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat5,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat6</a>
-              </td>
-            </tr>
-
-            <tr>
-              <td width="375">&#160;</td>
-
-              <td width="365">&#160;</td>
-            </tr>
-
-            <tr>
-              <td width="375" class="searchcat">category3</td>
-
-              <td width="365" class="searchcat">category4</td>
-            </tr>
-
-            <tr>
-              <td width="375" class="searchsubcat">
-              <a href="#" class="searchsubcat">subcat1,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat2,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat3,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat4,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat5,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat6</a>
-              </td>
-
-              <td width="365" class="searchsubcat">
-              <a href="#" class="searchsubcat">subcat1,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat2,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat3,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat4,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat5,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat6</a>
-              </td>
-            </tr>
-
-            <tr>
-              <td width="375">&#160;</td>
-
-              <td width="365">&#160;</td>
-            </tr>
-
-            <tr>
-              <td width="375" class="searchcat">category5</td>
-
-              <td width="365" class="searchcat">category6</td>
-            </tr>
-
-            <tr>
-              <td width="375" class="searchsubcat">
-              <a href="#" class="searchsubcat">subcat1,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat2,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat3,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat4,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat5,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat6</a>
-              </td>
-
-              <td width="365" class="searchsubcat">
-              <a href="#" class="searchsubcat">subcat1,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat2,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat3,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat4,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat5,</a>&#160;<a 
-                 href="#" class="searchsubcat">subcat6</a>
-              </td>
-            </tr>
-
-            <tr>
-              <td width="375">&#160;</td>
-
-              <td width="365">&#160;</td>
-            </tr>
-          </table>
-        </td>
-      </tr>
-    </table>
-  </xsl:template>
-  
-</xsl:stylesheet>
-
-

Property changes on: lib/style/include_searchbox.xsl
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property