Index: lib/harvesterConfiguration.xsd
===================================================================
--- lib/harvesterConfiguration.xsd	(nonexistent)
+++ lib/harvesterConfiguration.xsd	(revision 1850)
@@ -0,0 +1,110 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- edited with XMLSPY v5 rel. 4 U (http://www.xmlspy.com) by Matt Jones (NCEAS) -->
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">
+	<xs:annotation>
+		<xs:documentation>This module defines the required information for the harvester to collect documents from the local site. The local system containing this document must give the Metacat Harvester read access to this document.	</xs:documentation>
+	</xs:annotation>
+	<xs:annotation>
+		<xs:appinfo>
+			<tooltip/>
+			<summary/>
+			<description/>
+		</xs:appinfo>
+	</xs:annotation>
+	<xs:element name="harvestConfiguration">
+		<xs:complexType>
+			<xs:sequence>
+				<xs:element name="harvestInformation">
+					<xs:complexType>
+						<xs:sequence>
+							<xs:element name="harvesterConfigurationURL" type="xs:anyURI">
+								<xs:annotation>
+									<xs:documentation>The URL at which this document can be found in the future.  This URL must have been associated with a DN and authenticated before harvesting will commence.</xs:documentation>
+								</xs:annotation>
+							</xs:element>
+							<xs:element name="ldapDN" type="xs:string">
+								<xs:annotation>
+									<xs:documentation>This is the LDAP distinguisged name for the user that should own documents that are harvested.  This DN must have been registered with the system to authenticate use of this account.</xs:documentation>
+								</xs:annotation>
+							</xs:element>
+							<xs:choice>
+								<xs:element name="dateNextHarvest" type="xs:date">
+									<xs:annotation>
+										<xs:documentation>The date that the next harvest should occur.   If this date has already passed, then the next harvest will occur by default in one week from the time of the most recent harvest.</xs:documentation>
+									</xs:annotation>
+								</xs:element>
+								<xs:element name="updateFrequency">
+									<xs:annotation>
+										<xs:documentation>The frequency at which harvests should occur.  This is specified as an integrer number of days or weeks from the date of the last harvest.  This is an alternate way of specifying the schedule that does not require updating the configuration document as often, but also is less flexible than specifying dateNextHarvest directly.</xs:documentation>
+									</xs:annotation>
+									<xs:complexType>
+										<xs:simpleContent>
+											<xs:extension base="xs:integer">
+												<xs:attribute name="unit" default="day">
+													<xs:simpleType>
+														<xs:restriction base="xs:string">
+															<xs:enumeration value="day"/>
+															<xs:enumeration value="week"/>
+														</xs:restriction>
+													</xs:simpleType>
+												</xs:attribute>
+											</xs:extension>
+										</xs:simpleContent>
+									</xs:complexType>
+								</xs:element>
+							</xs:choice>
+						</xs:sequence>
+					</xs:complexType>
+				</xs:element>
+				<xs:element name="document" minOccurs="0" maxOccurs="unbounded">
+					<xs:complexType>
+						<xs:sequence>
+							<xs:element name="docid">
+								<xs:annotation>
+									<xs:documentation>The complete document identifier to be used by metacat.  The docid is a compound element that gives a scope for the identifier, an integer local identifer that is unique within that scope, and a revision.  Each revision is assumed to specify a unique, non-changing document, so once a particular revision is harvested, there is no need for it to be harvested again.  To trigger a harvest of a document that has been updated, increment the revision number for that identifier.
+									</xs:documentation>
+								</xs:annotation>
+								<xs:complexType>
+									<xs:sequence>
+										<xs:element name="scope" type="xs:string">
+											<xs:annotation>
+												<xs:documentation>
+													The system prefix of a metacat docid that defines the scope within which the identifier is unique.																</xs:documentation>
+											</xs:annotation>
+										</xs:element>
+										<xs:element name="identifier" type="xs:long">
+											<xs:annotation>
+												<xs:documentation>
+													The local (site specific) portion of the identifier (docid) that is unique within the context of the scope.
+												</xs:documentation>
+											</xs:annotation>
+										</xs:element>
+										<xs:element name="revision" type="xs:string">
+											<xs:annotation>
+												<xs:documentation>The revision identifier for this document, indicating a unique document version.
+												</xs:documentation>
+											</xs:annotation>
+										</xs:element>
+									</xs:sequence>
+								</xs:complexType>
+							</xs:element>
+							<xs:element name="documentType" type="xs:string">
+								<xs:annotation>
+									<xs:documentation>
+										The  type of dodument to be harvested, indicated by a namespace string, formal public identifier, mime type, or other type indicator.											</xs:documentation>
+								</xs:annotation>
+							</xs:element>
+							<xs:element name="documentURL" type="xs:anyURI">
+								<xs:annotation>
+									<xs:documentation>
+										The documentURL field contains the URL of the document to be harvested. The Metacat harvester must be given read access to the contents at this URL.
+									</xs:documentation>
+								</xs:annotation>
+							</xs:element>
+						</xs:sequence>
+					</xs:complexType>
+				</xs:element>
+			</xs:sequence>
+		</xs:complexType>
+	</xs:element>
+</xs:schema>

Property changes on: lib/harvesterConfiguration.xsd
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property