Index: lib/style/skins/knb/knb.css
===================================================================
--- lib/style/skins/knb/knb.css	(revision 1934)
+++ lib/style/skins/knb/knb.css	(revision 1935)
@@ -35,6 +35,14 @@
 
 @import url(@style-common-path@/@eml-css@);
 
+
+/*
+ *  import eml css:
+ */
+
+@import url(@knb-site-url@/portalpages.css);
+
+
 /**
  *  set the correct iframe sizes to accomodate the 
  *  header, footer, left and right areas.
@@ -126,99 +134,11 @@
   margin:   0px;
 }
 
+
 /**
- *  then add any other styles used by your page......
+ *  these override styles imported from eml css 
  */
 
-
-
-body { 
-  	padding-top: 3px;
-    color: #333333; 
-    background-image: url(@knb-site-url@/images/bgpattern.gif);
-    font-weight: normal;
-    font-size: 11px; 
-    font-family: Verdana,Arial,Helvetica,sans-serif; }
-    
-a {
-    color: #669933;
-    font-weight: bold;
-    font-size: 12px; 
-    text-decoration: none; }
-		
-a:hover {
-    color: #ff9933;
-    text-decoration: underline; }
-		
-.logo {
-    background: #ffffff;
-		padding: 5px; }
-		
-.pagetitle {
-    font-family: Georgia, Times New Roman, Times, serif;
-    background: #0247A8;
-    margin-left: 0.25em; }
-    
-.pagesub {
-    font-family: Verdana,Arial,Helvetica,sans-serif;
-    font-size: 1em;
-    font-weight: bold;
-    color: #339933;
-    margin-left: 3em;
-    margin-top: 0.5em;
-    margin-bottom: 2em; }
-.title {
-    font-family: Georgia, Times New Roman, Times, serif;
-    color:      #eeeeee;
-    background: #0247A8;
-    font-size: 24px; 
-    font-weight: bold;}
-p.title {
-
-  padding-left: 15px;
-}
-.subtitle {
-    font-family: Verdana,Arial,Helvetica,sans-serif;
-    font-size: 12px;
-    font-weight: bold;
-    color: #666666; 
-    margin-left: 3em;
-    margin-top: 0.5em;
-    margin-bottom: 2em;
-    font-weight: normal; }
-    
-a.toollink {
-    color: #225522;
-		text-align: left;
-    font-size: 14px; 
-    text-decoration: none; }
-    
-a.toollink:hover {
-    color: #ff9933;
-    text-decoration: underline; }
-    
-a.sitelink {
-    color: #339933;
-    text-decoration: none; 
-    font-size: 11px; 
-    font-weight: bold; }
-a.sitelink:hover {
-    color: #ff9933;
-    text-decoration: underline; }
-
-.tabledefault {
-    background: white;
-    color: #555555;
-		width: 790px;
-    font-size: 11px; 
-    left-padding: 5px;
-    right-padding: 5px; }
-.tablepanel {
-    background: #eeeeee;
-    color: #555555;
-    font-size: 11px; 
-    left-padding: 5px;
-    right-padding: 5px; }
 .tablehead {
     background-image: url(@knb-site-url@/images/panelhead_bg.gif);
     color: #0040A1; 
@@ -226,7 +146,7 @@
     font-size: 14px; 
     font-weight: bold; 
     padding: 0px;
-    }
+}
 
 .tablehead_lcorner {
     background-image: url(@knb-site-url@/images/panelhead_bg_lcorner.gif);
@@ -243,48 +163,11 @@
     width:   10px;
     height:  21px;
 }    
-       
-.tableheadcontrast {
-    background: #dddddd;
-    vertical-align: baseline;
-    color: #666666;
-    font-size: 16px; 
-    font-weight: bold; }
-.instright { 
-    color: #333333; 
-    text-align: right;
-    vertical-align: middle;
-    padding: 1em;
-    font-size: 1em; 
-    font-weight: bold; }
-.instleft { 
-    color: #333333; 
-    text-align: left;
-    vertical-align: middle;
-    padding: 1em;
-    font-size: 1em; 
-    font-weight: bold; }
-p { 
-    margin: 5px; }
-.required { 
-    color: red; }
-.emphasis { 
-    color: red; }
-p.label { 
-    color: #333333; 
-    font-weight: bold; }
-p.contact { 
-    color: #333333; 
-    padding: 1em;
-    font-size: 0.75em; 
-    font-weight: normal;
-    font-style: italic; }
-p.header {
-    color: #333333; 
-    padding: 5px;
-    font-size: 12px; 
-    font-weight: bold; }
 
+/**
+ *  these are used only in the metacat pages
+ */
+
 p.emphasis {
 
   font-size: 18px;
@@ -292,101 +175,7 @@
   font-weight: bold;
   font-style:  normal;
 }
-img.logoright {
-    padding: 0.5em;
-    border: none;
-    float: right; }
-img.logoleft {
-    padding: 0.25em;
-    border: none;
-    float: left; }
-.roweven {
-    background: white; }
-.rowodd {
-    background: white; }
 
-.plaintext {
-    color: #555555;
-    font-weight: normal;
-    font-size: 11px;
-    }
-.boldtext {
-    color: #333333;
-    font-weight: bold;
-    font-size: 11px;
-    }
-
 .searchresultsdivider {
     background-color: #dddddd;   
 }
-
-/******************************************************************************/
-/******************************************************************************/
-/******************************************************************************/
-/**                                                                          **/
-/**                         FROM PORTAL CSS FILE                             **/
-/**                                                                          **/
-/******************************************************************************/
-/******************************************************************************/
-/******************************************************************************/
-
-		
-.maintable {
-    background: #ffffff;
-}
-
-.subpanel {
-
-  background:   #ffffff;
-  border-left:   solid #cccccc 1px;
-  border-right:  solid #cccccc 1px;
-  border-bottom: solid #cccccc 1px;
-}
-
-
-.sectionheader {
-
-    background-image: url(@knb-site-url@/images/panelhead_bg.gif);
-	  text-align: center;
-    color: #0247A8; 
-    font-size: 16px; 
-    font-weight: bold; }
-
-.text_plain { 
-
-	  padding: 5px;
-    color: #666666;
-    font-weight: normal;
-    font-size: 12px; }
-
-.text_plain_smaller { 
-
-	  padding: 5px;
-    font-weight: normal;
-    font-size: 11px; }
-
-.text_example { 
-
-	  padding: 5px;
-    color: #999999;
-    font-weight: normal;
-    font-size: 11px; }
-
-.searchcat {
-  	padding-left: 5px;
-    color: #0247A8;
-    font-weight: bold;
-    font-size: 11px; }
-		
-td.searchsubcat {
-  	padding-left: 15px; }
-
-a.searchsubcat {
-    color: #669933; 
-    font-weight: normal;
-    font-size: 11px; }
-		
-a.searchsubcat:hover {
-    color: #ff9933;
-    text-decoration: underline; }
-